%define rdnsname io.github.benjamimgois.goverlay

Name:           goverlay
Version:        0.8.1
%define subrel  1
Release:        %mkrel 1
Summary:        Graphical UI to help manage Vulkan/OpenGL overlays
Group:          Graphics/Utilities
License:        GPLv3
URL:            https://github.com/benjamimgois/goverlay
Source0:        https://github.com/benjamimgois/goverlay/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:         goverlay-enable-debuginfo-generation.patch

# ARM builds seem to crash on Mageia 8, might be bug in fpc 3.2.0.
ExclusiveArch:  %ix86 x86_64

BuildRequires:  lazarus
BuildRequires:  qt5pas-devel

Requires:       mangohud

Recommends:     git
Recommends:     mesa-demos
Recommends:     vkbasalt
Recommends:     vulkan-tools

%description
GOverlay is an opensource project that aims to create a graphical UI to
help manage Vulkan/OpenGL overlays. Currently supported:

- MangoHUD
- vkBasalt

%prep
%autosetup -p1

%build
%set_build_flags
%make_build

%install
%make_install prefix=%{_prefix}

%files
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{rdnsname}.desktop
%{_datadir}/metainfo/%{rdnsname}.metainfo.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_libexecdir}/%{name}
%{_mandir}/man1/%{name}.1.*


%changelog
* Tue Mar 29 2022 akien <akien> 0.8.1-1.1.mga8
+ Revision: 1832379
- ExclusiveArch for x86, build crash armv7 and aarch64 (fpc bug?)
- Version 0.8.1
- Use Mageia build flags
- Recommend vkbasalt (not in Mageia 8 yet but could be backported)

* Fri Oct 16 2020 akien <akien> 0.3.8-1.mga8
+ Revision: 1636448
- Version 0.3.8
- Version 0.3.6

* Mon Jul 06 2020 akien <akien> 0.3.5-1.mga8
+ Revision: 1602481
- Version 0.3.5

* Fri Mar 13 2020 akien <akien> 0.2-1.mga8
+ Revision: 1556067
- Version 0.2

* Tue Mar 10 2020 akien <akien> 0.1.3-1.mga8
+ Revision: 1555273
- imported package goverlay

